package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Deacbs extends AbstractCommonVo {

    private Cbb max;

    private Cbb nom1;

    private Cbb opn1;

    private Cbb max2;

    private Cbb opn2;

    private Cbb cnf;

    @Override
    public void reset() {
        if (max == null) {
            max = new Cbb();
        }
        if (nom1 == null) {
            nom1 = new Cbb();
        }
        if (opn1 == null) {
            opn1 = new Cbb();
        }
        if (max2 == null) {
            max2 = new Cbb();
        }
        if (opn2 == null) {
            opn2 = new Cbb();
        }
        if (cnf == null) {
            cnf = new Cbb();
        }
    }
}
